Bug 11771 - Backport tevent-0.9.28 changes
Backport tevent-0.9.28 changes
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.4.0rc3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 11742 11728 11772
  Show dependency treegraph
 
Reported: 2016-03-03 10:38 UTC by Karolin Seeger
Modified: 2016-04-20 07:21 UTC (History)
3 users (show)

See Also:


Attachments
patches for v4-4-test (99.96 KB, patch)
2016-03-03 10:39 UTC, Karolin Seeger
slow: review+
Details
Patch for 4.2 cherry-picked from master (68.16 KB, patch)
2016-03-03 14:25 UTC, Ralph Böhme
metze: review+
Details
Patch for 4.3 cherry-picked from master (69.29 KB, patch)
2016-03-03 14:26 UTC, Ralph Böhme
no flags Details
Patch for 4.2 backported from master (69.83 KB, patch)
2016-03-14 14:28 UTC, Ralph Böhme
metze: review+
Details
Patch for 4.3 backported from master (70.96 KB, patch)
2016-03-14 14:29 UTC, Ralph Böhme
metze: review+
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Karolin Seeger 2016-03-03 10:38:05 UTC
Backport tevent-0.9.28 changes
Comment 1 Karolin Seeger 2016-03-03 10:39:16 UTC
Created attachment 11893 [details]
patches for v4-4-test
Comment 2 Ralph Böhme 2016-03-03 14:25:58 UTC
Created attachment 11895 [details]
Patch for 4.2 cherry-picked from master
Comment 3 Ralph Böhme 2016-03-03 14:26:27 UTC
Created attachment 11896 [details]
Patch for 4.3 cherry-picked from master
Comment 4 Karolin Seeger 2016-03-04 10:28:20 UTC
Pushed to autobuild-v-4-4-test.
Comment 5 Stefan Metzmacher 2016-03-04 10:32:36 UTC
Comment on attachment 11895 [details]
Patch for 4.2 cherry-picked from master

Note, that we skip the DLIST patches for the 4.2 backport in order
to avoid side effects during the build.
Comment 6 Stefan Metzmacher 2016-03-04 10:32:54 UTC
Comment on attachment 11896 [details]
Patch for 4.3 cherry-picked from master

Note, that we skip the DLIST patches for the 4.3 backport in order
to avoid side effects during the build.
Comment 7 Karolin Seeger 2016-03-14 08:42:13 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to v4-4-test.
Comment 8 Karolin Seeger 2016-03-14 08:45:00 UTC
Pushed to autobuild-v4-[2|3]-test.
Comment 9 Karolin Seeger 2016-03-14 12:20:52 UTC
(In reply to Karolin Seeger from comment #8)
Breaks build on v4-3-test and v4-2-test.
Comment 10 Ralph Böhme 2016-03-14 14:28:48 UTC
Created attachment 11918 [details]
Patch for 4.2 backported from master

Contains an additional patch "Simplify handling of dependencies on external libraries in test_headers." required for building testsuite/headers/test_headers.c.
Comment 11 Ralph Böhme 2016-03-14 14:29:32 UTC
Created attachment 11919 [details]
Patch for 4.3 backported from master

Contains an additional patch "Simplify handling of dependencies on external libraries in test_headers." required for building testsuite/headers/test_headers.c.
Comment 12 Jeremy Allison 2016-03-30 16:20:21 UTC
Comment on attachment 11919 [details]
Patch for 4.3 backported from master

LGTM.
Comment 13 Karolin Seeger 2016-04-18 10:50:42 UTC
Pushed to autobuild-v4-[2|3]-test.
Comment 14 Karolin Seeger 2016-04-20 07:21:18 UTC
(In reply to Karolin Seeger from comment #13)
Pushed to both branches.
Closing out bug report.

Thanks!